'use strict';

var core = require('@capacitor/core');

exports.SecurityErrorCode = void 0;
(function (SecurityErrorCode) {
    SecurityErrorCode["FailedToAccess"] = "failed to access";
    SecurityErrorCode["NoData"] = "no data";
    SecurityErrorCode["Unknown"] = "unknown";
    SecurityErrorCode["Unavailable"] = "unavailable";
    SecurityErrorCode["Params"] = "params";
})(exports.SecurityErrorCode || (exports.SecurityErrorCode = {}));
exports.SecurityLevel = void 0;
(function (SecurityLevel) {
    SecurityLevel[SecurityLevel["L1_Encrypted"] = 1] = "L1_Encrypted";
    SecurityLevel[SecurityLevel["L2_DeviceUnlocked"] = 2] = "L2_DeviceUnlocked";
    SecurityLevel[SecurityLevel["L3_UserPresence"] = 3] = "L3_UserPresence";
    SecurityLevel[SecurityLevel["L4_Biometrics"] = 4] = "L4_Biometrics";
})(exports.SecurityLevel || (exports.SecurityLevel = {}));

const SecureCredentials = core.registerPlugin('SecureCredentials', {
    web: () => Promise.resolve().then(function () { return web; }).then(m => new m.SecureCredentialsWeb()),
});

class SecureCredentialsWeb extends core.WebPlugin {
    async getCredential(options) {
        return setTimeout(() => console.log('WEB -> getCredential', options), 1000);
    }
    async getUsernames(options) {
        return setTimeout(() => console.log('WEB -> getUsernames', options), 1000);
    }
    async removeCredential(options) {
        return setTimeout(() => console.log('WEB -> removeCredential', options), 1000);
    }
    async removeCredentials(options) {
        return setTimeout(() => console.log('WEB -> removeCredentials', options), 1000);
    }
    async setCredential(options) {
        return setTimeout(() => console.log('WEB -> setCredential', options), 1000);
    }
    async maximumSecurityLevel() {
        return setTimeout(() => console.log('WEB -> maximumAllowedSecurityLevel?'), 1000);
    }
    async supportedBiometricSensors() {
        return setTimeout(() => console.log('WEB -> supportedBiometricSensors?'), 1000);
    }
}

var web = /*#__PURE__*/Object.freeze({
    __proto__: null,
    SecureCredentialsWeb: SecureCredentialsWeb
});

exports.SecureCredentials = SecureCredentials;
//# sourceMappingURL=plugin.cjs.js.map
